---
lang: en
title: 'API docs: repository.wherebuilder.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.wherebuilder.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [WhereBuilder](./repository.wherebuilder.md) &gt; [(constructor)](./repository.wherebuilder.(constructor).md)

## WhereBuilder.(constructor)

Constructs a new instance of the `WhereBuilder` class

<b>Signature:</b>

```typescript
constructor(w?: Where<MT>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  w | <code>Where&lt;MT&gt;</code> |  |


